打印

LNMP 1.4正式版如何平滑升级到1.5 测试版?

LNMP 1.4正式版如何平滑升级到1.5 测试版?

看文档说是:1.x版本的话 ./upgrade1.x-1.5.sh 可进行升级lnmp管理脚本,除Nginx、PHP、MySQL版本外功能基本都能正常使用,Nginx、PHP可以通过升级脚本进行升级、MySQL只要没问题不建议进行升级。

这个upgrade1.x-1.5.sh在哪里呀?


如何操作呢?upgrade1.x-1.5.sh

刚刚参照1.x升级到1.4的,不知道对不对?
wget -c http://soft.vpser.net/lnmp/lnmp1.5beta.tar.gz && tar zxf lnmp1.5beta.tar.gz && cd lnmp1.5 && ./upgrade1.x-1.5.sh lnmp

上述这个命令是要在lnmp1.4的目录里操作嘛?还是直接系统ROOT根目录呀?

求军哥赐教,鉴定!!!

[ 本帖最后由 明月登楼 于 2018-1-12 13:16 编辑 ]

TOP

1.5安装包目录下,upgrade1.x-1.5.sh 只有ssl参数,没有lnmp参数,自动判断是lnmp还是lnmpa还是lamp
这个脚本是1.5的,lnmp1.4目录下没有,1.4的是1.4版的

TOP

哦,基本上是明白了!我已经安装和使用acme.sh了!不知道在升级到lnmp1.5后会不会造成冲突呢?原有的Nginx、MySQL、PHP应该都会动吧!LNMP1.5是不是直接覆盖1.4呀?

[ 本帖最后由 明月登楼 于 2018-1-13 08:39 编辑 ]

TOP

回复 3# 的帖子

官网默认参数安装的话不影响不冲突
只升级lnmp管理脚本和必要配置文件,其他不动,nginx等程序自己根据需求自己使用升级脚本进行升级

TOP

回复 4# 的帖子

OK,多谢军哥!

TOP